Bug 222403 - games/enigma: Fails to build with C++11
Summary: games/enigma: Fails to build with C++11
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dmitry Marakasov
URL: https://github.com/Enigma-Game/Enigma...
Keywords:
Depends on:
Blocks: 221890
  Show dependency treegraph
 
Reported: 2017-09-17 14:14 UTC by Roger Leigh
Modified: 2017-12-11 12:20 UTC (History)
1 user (show)

See Also:
amdmi3: maintainer-feedback+


Attachments
Correct NULL comparison and implicit conversions (2.00 KB, patch)
2017-09-17 14:14 UTC, Roger Leigh
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Roger Leigh 2017-09-17 14:14:14 UTC
Created attachment 186471 [details]
Correct NULL comparison and implicit conversions

See https://github.com/Enigma-Game/Enigma/pull/8 and previously merged changes upstream.

The attached patch makes enigma build with a C++11 compiler.
Comment 1 Dmitry Marakasov freebsd_committer 2017-12-05 18:18:01 UTC
Why's this needed in the port?
Comment 2 Roger Leigh 2017-12-05 19:09:04 UTC
Please see the linked ticket--it blocks #221890 which is enabling C++11 char16_t in xerces-c.
Comment 3 commit-hook freebsd_committer 2017-12-11 12:20:33 UTC
A commit references this bug:

Author: amdmi3
Date: Mon Dec 11 12:19:44 UTC 2017
New revision: 456025
URL: https://svnweb.freebsd.org/changeset/ports/456025

Log:
  - Fix c++11 compatibility

  PR:		222403
  Submitted by:	rleigh@codelibre.net

Changes:
  head/games/enigma/files/patch-src_Value.cc
  head/games/enigma/files/patch-src_lev_Proxy.cc